*,
*::before,
*::after {
  box-sizing: border-box;
}

textarea::placeholder {
  font-family: sans-serif;
}


.header-name__my {
  color: #ff5722;
  display: inline-block;
}

.footer-name__my {
  color: #ff5722;
}

body {
  font-family: sans-serif;
  margin: 10px 0 0;

  /*
  margin: 10px 20px; 
  margin: 10px 20px 10px 20px; 

  margin: 10px 30px 40px;
  margin: 10px 30px 40px 30px;

  margin: 10px 30px 40px 50px;
  */
}

.body {
  width: 1200px;
  margin: auto;
  margin-top: 10px;
}

@media (max-width: 1220px) {
  .body {
    margin: 10px;
  }
}

.breadcrumbs__link {
  color: #008cf0;
  text-decoration: none;
}

.footer__link {
  color: #008cf0;
  text-decoration: none;
}

.breadcrumbs__link:hover {
  color: #f36223;
}

.app {
  display: flex;
  max-width: 1400px;
  margin: 0;
}

.review-section {
  margin-top: 50px;
  width: 880px;
}

.review__name {
  margin-top: 0;
  margin-bottom: 10px;
}

.review-section__header {
  display: flex;
  align-items: center;
  margin-bottom: 25px;
  gap: 10px;
}

.review-section__wrapper {
  display: flex;
  gap: 10px;
  flex-direction: column;
}

.review-section__title {
  font-weight: 700;
  font-size: 24px;
  margin: 0;
}

.review-section__quantity {
  font-weight: 700;
  font-size: 24px;
  color: #888888;
}

.review-section__button {
  font-weight: 500;
  font-size: 16px;
  padding: 10px 20px;
  border: 1px solid #888888;
  border-radius: 4px;
  background: transparent;
  cursor: pointer;
}

.review-section__button:hover {
  background: #f2f2f2;
}

.impressions__foto {
  width: 140px;
  height: 140px;
}

.impressions__rating {
  width: 150px;
  height: 40px;
  margin-bottom: 20px;
}

.parameters {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.separator {
  border: 1px dashed #888888;
  margin-top: 40px;
  margin-bottom: 40px;
  width: 710px;
  margin-left: 170px;
}

.breadcrumbs__navigation {
  margin-bottom: 10px;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 4px;
}

.impressions {
  display: flex;
  gap: 30px;
}

.header {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  line-height: 53px;
  font-style: normal;
  font-weight: 700;
  font-size: 44px;
  gap: 7px;
  margin-bottom: 18px;
}

.product {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 10px;
  margin-bottom: 30px;
  justify-content: flex-start;
  width: 100%;
  overflow-x: auto;
}

.product__im {
  height: 387px;
}

.brand {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 0px 20px;
  gap: 10px;
}

.model {
  font-weight: 700;
  font-size: 32px;
  line-height: 39px;
  font-family: Arial, Helvetica, sans-serif;
}

.container-characteristics {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  padding: 0px;
  left: 51px;
  top: 612px;
  left: 51px;
  top: 612px;
  width: 100%;
}

.content {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  gap: 30px;
  width: 65%;
}

.advertising__iframe {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  height: 300px;
  background: #f0f0f0;
  border: 1px dashed #888888;
  width: 420px;
  height: 300px;
  margin-bottom: 15px;
  margin-top: 10px;
}

.sidebar {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0px;
  width: 30%;
  height: 957px;
  flex: none;
  order: 1;
  flex-grow: 0;
}

.price {
  min-height: 275px;
  box-sizing: border-box;
  background: #ffffff;
  border: 1px solid #eeeeee;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 20px;
  gap: 15px;
  height: 275px;
  margin-bottom: 40px;
}

.price__old-price {
  display: flex;
  align-items: center;
  gap: 10px;
}

.price__old-sum {
  width: 66px;
  height: 16px;
  font-family: Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 16px;
  text-decoration-line: line-through;
  color: #888888;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.price__discount {
  padding: 4px 8px;
  gap: 10px;
  width: 47px;
  height: 24px;
  background: #f36223;
  border-radius: 500px;
  font-weight: 500;
  font-size: 16px;
  line-height: 16px;
  color: #ffffff;
}

.price__new-price {
  width: 132px;
  height: 39px;
  font-style: normal;
  font-weight: 500;
  font-size: 32px;
  line-height: 39px;
  color: #000000;
}

.price__delivery {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
  height: 68px;
}

.button-button {
  padding: 20px;
  height: 64px;
  background: #f36223;
  border-radius: 4px;
  border-color: #f36223;
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
  color: #ffffff;
  border: 0;
  cursor: pointer;
}

.button-button:hover {
  background: #da4a0c;
}

.advertising {
  width: 60px;
  height: 17px;
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 17px;
  color: #888888;
}

.colorname-list {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 0px;
  gap: 10px;
}

.color {
  cursor: pointer;
}

.color {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 80px;
  height: 80px;
  border: 1px solid #888888;
  border-radius: 4px;
}

.color_border_orange {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px;
  gap: 10px;
  width: 80px;
  height: 80px;
  border: 1px solid #888888;
  border-radius: 4px;
  border: 2px solid #f36223;
}

.color__telephone {
  height: 60px;
}

.specifications-column-name {
  font-family: Arial, Helvetica, sans-serif;
  margin-top: 0;
  margin-bottom: 20px;
}

.memory_size_small {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 10px;
}

.button {
  display: flex;
  gap: 10px;
  width: 92px;
  height: 39px;
  border: 1px solid #888888;
  border-radius: 4px;
  align-items: center;
  padding: 0px;
  background: transparent;
  justify-content: center;
  text-align: center;
  cursor: pointer;
}

.button__btn {
  display: flex;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #000000;
}

.button__btn_border_orange {
  display: flex;
  gap: 10px;
  width: 92px;
  height: 39px;
  border: 2px solid #f36223;
  border-radius: 4px;
  align-items: center;
  padding: 0px;
  background: transparent;
  justify-content: center;
  text-align: center;
  font-size: 16px;
}

.specifications-list {
  padding-left: 15px;
  margin-bottom: -40px;
}

.color:hover,
.color_border_orange:hover {
  background: #f2f2f2;
}

.button:hover {
  background: #f2f2f2;
}

.specifications-list__characteristic {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 0px;
  gap: 10px;
  min-height: 164px;
  font-weight: 500;
  font-size: 16px;
  line-height: 19.36px;
}

.specifications-list__li::marker {
  content: "\2B24";
  font-size: 1em;
  color: #888888;
}

.description {
  font-family: Arial, Helvetica, sans-serif;
  line-height: 20px;
}

.specifications-column-name_margin {
  margin-top: 20px;
}

.specifications-list__li {
  padding-left: 10px;
}

.main {
  max-width: 100%;
}

.table {
  border: 1px solid #888888;
  border-collapse: collapse;
  font-size: 16px;
  text-align: center;
  min-width: 876px;
  height: 156px;
}

.table__th {
  border: 1px solid #888888;
  height: 40px;
  white-space: nowrap;
  padding: 10px;
  font-weight: bold;
}

td {
  border-right: 1px solid #888888;
  height: 40px;
  white-space: nowrap;
  padding: 10px;
}

.table__tr:hover {
  background: #f2f2f2;
}

.reviews {
  display: inline-block;
}

.footer__info {
  margin-top: 35px;
  margin-bottom: 30px;
}

footer {
  background: #f2f2f2;

}

.footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 111px;
  padding: 30px 50px;
  max-width: 1200px;
  margin: 110px auto 0;

}

.footer__info_bold {
  font-weight: bold;
}

.form__review {
  margin-top: 60px;
  margin-left: 170px;
}

.form__legend {
  font-weight: bold;
  font-size: 16px;
  line-height: 19px;
}

.form__name {
  color: #888888;
  width: 495px;
  height: 49px;
  margin-right: 35px;
  padding: 10px;
}

.form__rating {
  color: #888888;
  width: 175px;
  height: 49px;
  padding: 10px;
}

.form__textarea {
  resize: none;
  width: 710px;
  height: 190px;
  color: #888888;
  padding: 10px;
}

.form__name:hover,
.form__rating:hover,
.form__textarea:hover {
  border: 1px solid black;
}

.form__name,
.form__rating,
.form__textarea {
  border: 1px solid darkgray;
  cursor: pointer;
}

.button-button_size_small {
  margin-left: 170px;
  padding: 10px 20px;
  white-space: nowrap;
  width: 177px;
  height: 39px;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

input[type='number'] {
  -moz-appearance: textfield;
}